/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/
 
int process_freedb_search(splt_state *state,
			  char *search);
char *get_freedb_file(splt_state *state,
		      int i, int *err);
int get_cue_splitpoints(char *file, splt_state *state,
			int *error);
int get_cddb_splitpoints (char *file, splt_state *state,
			  int *error);

/* used in cddb.c */
#define MP3SPLT_BUFFERSIZE 8192
#define MP3SPLT_FREEDB_SITE "freedb.org"
#define MP3SPLT_PORT1 80
#define MP3SPLT_PORT2 8880
#define MP3SPLT_FREEDBHTTP "http://www.freedb.org/~cddb/cddb.cgi?"
#define MP3SPLT_SEARCH "/freedb_search.php?words=%s&allfields=NO&fields=artist&fields=title&allcats=YES&grouping=none"
#define MP3SPLT_HELLO "CDDB HELLO nouser mp3splt.net "MP3SPLT_PACKAGE_NAME" "MP3SPLT_PACKAGE_VERSION"\n"

//the type found in the cue file
#define MP3SPLT_CUE_NOTHING 0
#define MP3SPLT_CUE_TRACK 1
#define MP3SPLT_CUE_TITLE 2
#define MP3SPLT_CUE_PERFORMER 3
#define MP3SPLT_CUE_INDEX 4

//proxy stuff
//#define PROXYCONFIG ".mp3splt"
//#define PROXYDLG "HTTP/1.0\nUserAgent: "PACKAGE_NAME"/"PACKAGE_VERSION"\n"
//#define MP3SPLT_AUTH "Proxy-Authorization: Basic "

struct addr {
  short proxy;
  char hostname[512];
  int port;
  char *auth;
};
