/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/

#define MP3SPLT_TAG "TAG"
#define MP3SPLT_GENRENUM 82
#define MP3SPLT_PCM 1152
#define MP3SPLT_BYTE 8

#define MP3SPLT_XING_MAGIC 0x58696E67
#define MP3SPLT_INFO_MAGIC 0x496E666F

#define MP3SPLT_XING_FRAMES 0x00000001L
#define MP3SPLT_XING_BYTES  0x00000002L

/*
	Frame per second:
	Each MPEG1 frame decodes to 1152 PCM
	samples, 576 with MPEG2.
	32000/1152 = 27.77778 = 16000/576
	44100/1152 = 38.28125 = 22050/576
	48000/1152 = 41.66667 = 24000/576
*/

#define MP3SPLT_ID3_ARTIST 1
#define MP3SPLT_ID3_ALBUM 2
#define MP3SPLT_ID3_TITLE 3
#define MP3SPLT_ID3_YEAR 4
#define MP3SPLT_ID3_GENRE 5
#define MP3SPLT_ID3_TRACK 6
#define MP3SPLT_ID3_COMMENT 7

#ifndef NO_ID3TAG
void put_original_id3_tags(char *filename,splt_state *state,
			   int *tag_error);
#endif
char *put_mp3_song_tags(char *id3buffer,
			char *filename,splt_state *state,
			int *error);
int c_bitrate (unsigned long head);
struct header makehead (unsigned long headword, struct mp3 mp3f, struct header head, off_t ptr);
off_t findhead (mp3_state *state, off_t start);
off_t findvalidhead (mp3_state *state, off_t start);
int getid3v1 (FILE *file_input);
off_t getid3v2 (FILE *in, off_t start);
char *id3 (char *id, char *title, char *artist, 
	   char *album, char *year, unsigned char genre, 
	   char *comment, short track);
unsigned char getgenre (char *s);
void checksync (mp3_state *state);
int xing_info_off(mp3_state *state);
void mp3split (char *filename, splt_state *sp_state, char *id3,
	       double fbegin_sec, double fend_sec, int *error);
mp3_state *mp3info(FILE *file_input, splt_state *sp_state,
		   int framemode, int *error);
void mp3_state_free (mp3_state *state);
int syncerror_split (splt_state *sp_state, off_t *splitpoints,
		     char *filename);
int mp3_scan_silence (splt_state *sp_state, off_t begin, unsigned long length, float threshold, float min, short output);

