/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/

#include "mp3splt.h"
#include "mp3.h"
#include "ogg.h"
#include "wrap.h"
#include "cddb.h"
#include "utils.h"
#include "checks.h"
#include "splt.h"

splt_state *get_mp3_info(splt_state *state, FILE *file_input,
			 int *error);
splt_state *get_ogg_info(splt_state *state, FILE *file_input,
				int *error);
void song_put_total_time(char *filename, 
			 splt_state *state,
			 int *error);
void real_simple_split(char *filename, splt_state *state,
		       double splt_beg, double splt_end,
		       int *error, char *output_fname);
void simple_split(char *filename, splt_state *state,
		  long split_begin, long split_end,
		  char *new_filename_path,
		  int i, int *error);
void multiple_split(char *filename, splt_state *state, 
		    char *new_filename_path, int *error);
void wrap_split(char *filename,
		char *new_filename_path,
		int *error, splt_state *state);
int set_silence_splitpoints(char *filename, splt_state *state,
			    int write_tracks, int *error);
void write_silence_tracks(int found, char *filename,
			  char *new_filename_path,
			  splt_state *state, int *error);
void silence_split(char *filename, char *new_filename_path,
		   splt_state *state, int *error);
void time_split(char *filename, char *new_filename_path,
		splt_state *state, int *error);
