/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/

#ifndef NO_OGG

//put the original ogg tags
void put_original_ogg_tags(splt_state *state,
			   int *tag_error);
void put_ogg_tags(splt_state *state,
		  int *error);
ogg_state *ogginfo(FILE *in, ogg_state *state, int *error);
void oggsplit(char *filename, splt_state *sp_state, double
	      sec_begin, double sec_end, short seekable, 
	      short adjust, float threshold, int *error);
ogg_state *v_new(void);
void v_free(ogg_state *state);
vorbis_comment *v_comment(vorbis_comment *vc, char *artist, char *album, char *title, char *tracknum, char *date, char *genre, char *comment);
int ogg_scan_silence (splt_state *sp_state, short seconds, float threshold, float min, short output, ogg_page *page, ogg_int64_t granpos);
void ogg_state_free (ogg_state *s);

#endif

