/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/

struct ssplit {
  double begin_position;
  double end_position;
  long len;
  struct ssplit *next;
};

long c_hundreths (char *s);
int getword (FILE *in, off_t offset, int mode, unsigned long *headw);
off_t flength (FILE *in);
int split (splt_state *state, char *filename,
	   off_t begin, off_t end, char *id3buffer);
char *trackstring(int number);
void order_splitpoints(long *ssplitpoints, int len);
float silence_position(struct ssplit *temp, float off);
void ssplit_free (struct ssplit **silence_list);
int ssplit_new(struct ssplit **silence_list, float begin_position, float end_position, int len);
char *cleanstring (char *s);
float convert2dB(double input);
double convertfromdB(float input);

