/**********************************************************
 *
 * libmp3splt -- library based on mp3splt,
 *               for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2005 M. Trotta - <matteo.trotta@lib.unimib.it>
 * Copyright (c) 2005-2006 Munteanu Alexandru - io_alex_2002@yahoo.fr
 *
 * http://mp3splt.sourceforge.net
 *
 *********************************************************/

/**********************************************************
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307,
 * USA.
 *
 *********************************************************/

char *cut_spaces_at_the_end(char *c);
char *cut_spaces_from_begin(char *c);
void clean_original_id3(splt_state *state);
double get_double_pos(long split);
void free_files(char **files, int number);
void clean_one_split_data(splt_state *state, int num);
void clean_split_data(splt_state *state,int tracks);
char *get_real_name(char *filename);
void put_progress_text(splt_state *state,int type);
void update_progress(splt_state *state, float current_point,
		     float total_points, int progress_stage,
		     float progress_start, int refresh_rate);
void put_splitted_file(splt_state *state,
		       char *filename);
//frees the memory for the freedb results of the search
void free_search_results(cd_state *cdstate,
			 freedb_results *search_results);
splt_state *splt_state_new(splt_state *state,
			   int *error);
void splt_state_free(splt_state *state);
splt_state *splt_state_reset(splt_state *state);
void splt_state_put_default_options(splt_state *state);
int is_file(char *fname);
int parse_outformat(char *s, splt_state *state);
void put_output_filename(splt_state *state);
char *get_new_filename(char *filename, 
		       splt_state *state,
		       long split_begin,
		       long split_end,
		       int i, int *error);
char *get_complete_new_filename(char *filename, splt_state *state,
				int split_begin, int split_end,
				char *new_filename_path,
				int i, int *error);

